org.eclipse.viatra.query.patternlanguage.emf.ui.internal

## Class EMFPatternLanguageActivator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.viatra.query.patternlanguage.emf.ui.internal.EMFPatternLanguageActivator

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator

      public class EMFPatternLanguageActivator
      extends org.eclipse.ui.plugin.AbstractUIPlugin

  This class was generated. Customizations should only happen in a newly introduced subclass.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ORG_ECLIPSE_VIATRA_QUERY_PATTERNLANGUAGE_EMF_EMFPATTERNLANGUAGE`

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageActivator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.google.inject.Injector` | `createInjector(java.lang.String language)`
    `com.google.inject.Injector` | `getInjector(java.lang.String language)`
    `static EMFPatternLanguageActivator` | `getInstance()`
    `protected com.google.inject.Module` | `getRuntimeModule(java.lang.String grammar)`
    `protected com.google.inject.Module` | `getSharedStateModule()`
    `protected com.google.inject.Module` | `getUiModule(java.lang.String grammar)`
    `void` | `start(org.osgi.framework.BundleContext context)`
    `void` | `stop(org.osgi.framework.BundleContext context)`

    - ### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

      `createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ORG_ECLIPSE_VIATRA_QUERY_PATTERNLANGUAGE_EMF_EMFPATTERNLANGUAGE

          public static final java.lang.String ORG_ECLIPSE_VIATRA_QUERY_PATTERNLANGUAGE_EMF_EMFPATTERNLANGUAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EMFPatternLanguageActivator

          public EMFPatternLanguageActivator()

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `java.lang.Exception`

    - #### getInstance

          public static EMFPatternLanguageActivator getInstance()

    - #### getInjector

          public com.google.inject.Injector getInjector(java.lang.String language)

    - #### createInjector

          protected com.google.inject.Injector createInjector(java.lang.String language)

    - #### getRuntimeModule

          protected com.google.inject.Module getRuntimeModule(java.lang.String grammar)

    - #### getUiModule

          protected com.google.inject.Module getUiModule(java.lang.String grammar)

    - #### getSharedStateModule

          protected com.google.inject.Module getSharedStateModule()